* Example1.gms

* This program creates some trivial sets and parameters, and then places the output in GDX files.

Sets
  i   "Some optional but desirable text describing set i"  / i1  "Optional text describing element 1 of set i"
                                                             i2  "Optional text describing element 2 of set i"
                                                             i3  "Optional text describing element 3 of set i" /
  j   "Some optional but desirable text describing set j"  / j1 * j5 /
  ;

* Parameter a is declared and intialised in one statement. Parameters b and c are only declared.
Parameters
  a(i)   "Some text describing the parameter called a"     / i1 7,  i2 0.3,  i3 14 /
  b(j)   "Some text describing the parameter called b"
  c(i,j) "Some text describing the parameter called c"
  ;
 
* Parameters b and c are now intitalised using assignment statements, i.e. evaluate the right-hand side expression
* and assign the result to the symbol on the left-hand side.
b(j) = uniform(12,125) ;

c(i,j) = [a(i) * b(j)] / sqrt[b(j)] ;

* Note that square and curly brackets are interchangeable.

Display i, j, a, b, c ;

* Write everything to a GDX file called ex1_everything.gdx.
execute_unload "ex1_everything.gdx" i j a b c ;

* Write selected output to a GDX file called ex1.gdx (for example 1).
execute_unload "ex1.gdx" i j c ;
