* Example2.gms

* This program creates some trivial sets and parameters, and then places the output in GDX files.
* The structure (set names, parameter names, and parameter domains) of this program is identical
* to that of example1.gms. All that differs is the data, i.e. the set elements and parameter values.

Sets
  i   "Some optional but desirable text describing set i"  / i3  "Optional text describing element 3 of set i"
                                                             i4 * i7 /
  j   "Some optional but desirable text describing set j"  / j3 * j15 /
  ;

* Parameter a is declared and partially intialised in one statement. Parameters b and c are only declared.
Parameters
  a(i)   "Some text describing the parameter called a"     / i3 14 /
  b(j)   "Some text describing the parameter called b"
  c(i,j) "Some text describing the parameter called c"
  ;

* The domain of parameter a is set i. Initialise parameter a for the elements of i not already initialsied.
a(i)$( not a(i) ) = uniform(0.5,21) ;
 
* Parameters b and c are now intitalised using assignment statements, i.e. evaluate the right-hand side expression
* and assign the result to the symbol on the left-hand side.
b(j) = uniform(12,125) ;

c(i,j) = [a(i) * b(j)] / sqrt[b(j)] ;

Display i, j, a, b, c ;

* Write everything to a GDX file called ex2_everything.gdx.
execute_unload "ex2_everything.gdx" i j a b c ;

* Write selected output to a GDX file called ex2.gdx (for example 2).
execute_unload "ex2.gdx" i j c ;
