* Example3.gms

* This program declares some symbols (sets and parameters) and then initialises
* them using data obtained from GDX files.

Sets
  sc   "Scenarios"    / sc1  "Base case"
                        sc2  "First scenario" /
  i    "Some optional but desirable text describing set i"
  j    "Some optional but desirable text describing set j"
  ;

$gdxin "combinedSets.gdx"
$load i j
Display i, j ;

Parameter c(sc,i,j) "Some text describing the parameter called c" ;

$gdxin "mergedResults.gdx"
$load c
Display c ;

* If this was a realistic GAMS report writing program, the code would now continue
* to prepare results by scenario. A trivial example is provided.
Parameters
  meaninglessAverage1(sc,j) "A meaningless average - over set i by scenario and set j"
  meaninglessAverage2(sc)   "Another meaningless average - over set i and j by scenario"
  ;

meaninglessAverage1(sc,j)$sum(i$c(sc,i,j), 1) = sum(i, c(sc,i,j)) / sum(i$c(sc,i,j), 1) ;

meaninglessAverage2(sc) = sum(j, meaninglessAverage1(sc,j)) / sum(j$meaninglessAverage1(sc,j), 1) ;

Display meaninglessAverage1, meaninglessAverage2 ;
