* combineSets.gms

* This program reads in set elements from GDX files. Each GDX file contains sets with
* identical names but different set membership.
* The program then creates a 'super set' containing a unique set of all elements obtained
* from both GDX files.
* The compiler directive $onmulti is exploited to make this process work.

* Declare temporary sets to contain the combined set elements
Sets
  ii   "Some optional but desirable text describing set ii"
  jj   "Some optional but desirable text describing set jj"
  ;

* Turn on onmulti so that data statements (in this case sets) can be redefined. The GAMS
* default is to disallow data redefinition.
$onmulti

* Load the sets i and j from the first GDX file into the temporary set symbols called,
* respectively, ii and jj.
$gdxin "ex1.gdx"
$load ii=i jj=j

* Now load the sets i and j from the second GDX file into the temporary set symbols called,
* respectively, ii and jj. At this point, ii and jj are being 'redefined' as permitted by
* the $onmulti statement above. When done, revert to the default position with the $offmulti
* statement.
$gdxin "ex2.gdx"
$load ii=i jj=j

$offmulti

Display ii, jj ;

* Dump the combined 'super sets' ii and jj into a GDX file called combinedSets.gdx. While we're at
* it, change the symbol names back to the original names, i.e. i and j.
execute_unload "combinedSets.gdx" ii=i jj=j ;
